<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('auctions', function (Blueprint $table) {
            //drop category_id column if exists
            if (Schema::hasColumn('auctions', 'category_id')) {
                Schema::table('auctions', function (Blueprint $table) {
                    $table->dropForeign(['category_id']);
                    $table->dropColumn('category_id');
                });
            }
            $table->foreignId('category_id')->nullable()->constrained()->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('auctions', function (Blueprint $table) {
            //
        });
    }
};
